# -*- encoding : utf-8 -*-
class CreateSurveyItemAnswers < ActiveRecord::Migration
  def change
    create_table :survey_item_answers do |t|
      t.text :label_text
      t.text :help_text
      t.string :class_text
      t.integer :field_type
      t.integer :data_type
      t.references :survey_item
      t.boolean :locked
      t.boolean :archived

      t.timestamps
    end
    add_index :survey_item_answers, :survey_item_id
  end
end
